using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;

namespace Black_Hole_Game
{
    public class MySoundEffect
    {
        private Game1 game;
        private SoundEffect effect;
        private SoundEffectInstance instance;

        public MySoundEffect(Game1 game)
        {
            this.game = game;
            effect = null;
            instance = null;
        }

        public void Load(string assetName)
        {
            effect = game.Content.Load<SoundEffect>(assetName);
            instance = effect.CreateInstance();
        }

        public void Play()
        {
            if (game.globalAudio)
                instance.Play();
        }
    }

}
